return {
	{
		"nvim-neo-tree/neo-tree.nvim",
		branch = "v3.x",
		dependencies = {
			"nvim-lua/plenary.nvim",
			"nvim-tree/nvim-web-devicons",
			"MunifTanjim/nui.nvim",
		},
		config = function()
			require("neo-tree").setup({
				filesystem = {
					filtered_items = {
						visible = true,
						hide_dotfiles = false,
						hide_gitignored = true,
						hide_by_name = {
							".git",
							"node_modules",
						},
					},
				},
			})
			vim.cmd([[autocmd VimEnter * lua vim.cmd.Neotree("toggle")]])
			vim.keymap.set("n", "<leader>e", function()
				vim.cmd.Neotree("toggle")
			end)
			vim.keymap.set("n", "<leader>o", function()
				if vim.bo.filetype == "neo-tree" then
					vim.cmd.wincmd("p")
				else
					vim.cmd.Neotree("focus")
				end
			end)
		end,
	},
}
